Subject: Offline Message from Emily Johnson: I bought my daughter a swagtron T580 in 2
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sat, 16 Nov 2019 21:17:35 -0000

From: Emily Johnson <[email-masked]>
Phone: 6012092259
Location: Madison, United States
URL: https://swagtron.com/
Department: SwagTron

I bought my daughter a swagtron T580 in 2017 during the Black Friday sale (order # 156795) and it has stopped charging.  I've spoken with a representative before and I think repairing it doesn't make sense due to the cost involved and was wondering if I could return it for a partial refund.

----
Zopim
https://www.zopim.com